#include <bits/stdc++.h>
#include <ext/pb_ds/tree_policy.hpp>
#include <ext/pb_ds/assoc_container.hpp>

using namespace std;
using namespace __gnu_pbds;

typedef vector<int> vi;
typedef vector<vi> vvi;
typedef pair<int, int> pii;
typedef vector<pii> vpii;
typedef vector<vpii> vvpii;
typedef long long ll;
typedef long double ld;

template <class T> using Tree = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;

#define pb push_back
#define mp make_pair
#define all(x) (x).begin(), (x).end()
#define rall(x) (x).rbegin(), (x).rend()
#define sz(x) (int)(x).size()
#define fi first
#define se second

template<class T> bool ckmin(T &a, const T &b) {return a > b ? a = b, 1 : 0;}
template<class T> bool ckmax(T &a, const T &b) {return a < b ? a = b, 1 : 0;}

//DEBUG TEMPLATE POCINJE OVDE

void __print(int x) {cerr << x;}
void __print(long long x) {cerr << x;}
void __print(double x) {cerr << x;}
void __print(long double x) {cerr << x;}
void __print(char x) {cerr << '\'' << x << '\'';}
void __print(const string &x) {cerr << '\"' << x << '\"';}
void __print(bool x) {cerr << (x ? "true" : "false");}

template<typename T, typename V>
void __print(const pair<T, V> &x) {cerr << '{'; __print(x.first); cerr << ','; __print(x.second); cerr << '}';}
template<typename T>
void __print(const T &x) {int f = 0; cerr << '{'; for(auto z : x) cerr << (f++ ? "," : ""), __print(z); cerr << "}";}
void _print() {cerr << "]\n";}
template <typename T, typename... V>
void _print(T t, V... v) {__print(t); if(sizeof...(v)) cerr << ", "; _print(v...);}

#ifdef ljuba
#define debug(x...) cerr << "LINE(" << __LINE__ << ") -> " << "[" << #x << "] = ["; _print(x)
#else
#define debug(x...)
#endif

//DEBUG TEMPLATE SE ZAVRSAVA OVDE

const char nl = '\n';

const int MOD = 1e9 + 7;
const int mxN = 1e6 + 123;

int dp[30][mxN];

inline int add(int a, int b) {
    return (a + b) % MOD;
}

inline int mul(int a, int b) {
    return (a * 1LL * b) % MOD;
}

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    //verovatno dp
    //dp[i][j] -> ako krenemo od indeksa i pa na dalje, na koliko nacina mozemo da odaberemo karaktere tako da budu sufiks alfabeta
    int n;
    cin >> n;
    string s;
    cin >> s;

    //cache miss je ozbiljna stvar, promeni definiciju dp iz dp[i][j] u dp[j][i]

    for(int i = n-1; ~i; --i) {
        dp[25][i] = add(dp[25][i+1], (s[i] == 'Z'));
    }

    for(int j = 24; ~j; --j) {
        for(int i = n-1; ~i; --i) {
            int nesto = s[i] - 'A';
            dp[j][i] = mul(dp[j+1][i+1], (nesto == j));
            dp[j][i] = add(dp[j][i], dp[j][i+1]);
        }
    }

    /*
    for(int i = 0; i < n; ++i) {
        for(int j = 0; j < 26; ++j) {
            debug(j, i, dp[j][i]);
        }
    }
    */
    
    cout << dp[0][0] << nl;
}